import request from '@/utils/request'

// 用户登录
export function login(data) {
  return request({
    url: '/api/login',
    method: 'post',
    data
  })
}

// 获取用户身份信息
export function getInfo(token) {
  return request({
    url: '/user/getUserInfo',
    method: 'get',
    //params: { token }
  })
}

// 用户退出登录
export function logout() {
  return request({
    url: '/vue-element-admin/user/logout',
    method: 'post'
  })
}

// 获取用户菜单
export function getMenu(token) {
  return request({
    url: '/authority/getRecursionMenu',
    method: 'get',
    //params: { token }
  })
}

//获得图形验证码
export function getImgCode() {
  return request({
    url: '/verifyCode',
    method: 'get',
  })
}

// 获取用户身份信息
export function changePassword(data) {
  return request({
    url: '/user/changePassword',
    method: 'post',
    data
  })
}

//修改用户头像和手机号
export function updateUserAvatarNickname(data) {
  return request({
    url: '/user/updateUserAvatarNickname',
    method: 'post',
    data
  })
}